Subject: Re: [PATCH 3/4] infiniband: hns: add Hisilicon RoCE support(driver code)

From: oulijun <[email-masked]>
Date: Sat, 19 Mar 2016 19:28:00 +0800

On 2016/3/15 2:20, Parav Pandit wrote:
>>>
>>> Since SRQ is not supported in this driver version, can you keep
>>> remaining code base also to not bother about SRQ specifically
>>> poll_cq_one, modify_qp, destroy_qp etc?
>>> SRQ support can come as complete additional patch along with cmd_mask,
>>> callbacks and rest of the code.
>>>
>>> .
>> Sorry, I see your review in time.
>> Sure, SRQ is not supported in current roce driver. I have verified the function
>> for RDMA. It is not influence. For your question, we need to analyse it scientific.
>> after that, i will reply your doubt, is that ok?
> 
> Yes. No problem.
> 
> .
> 
Hi, Parav Pandit
    I have analyse and discuss with your reviewing. I considered that the srq is only the
condition branch in verbs and without independent function, so reserved it.I have delete the relative
function with srq independently.
    if delete the branch operation with srq, it feel be inconvenient to understand

thanks
Lijun Ou

--
To unsubscribe from this list: send the line "unsubscribe linux-rdma" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html